org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryResults

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryResults

    public class OdbcQueryResults
    extends Object

ODBC result set

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `closeAll()` Close all cursors.
`OdbcResultSet` `currentResultSet()`
`boolean` `hasUnfetchedRows()`
`void` `nextResultSet()` Move to next result set.
`long[]` `rowsAffected()` Get affected rows for all result sets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### rowsAffected

    public long[] rowsAffected()

Get affected rows for all result sets.

Returns:
  List of numbers of table rows affected by every statement.

#### hasUnfetchedRows

    public boolean hasUnfetchedRows()

Returns:
  `true` if any of the result sets still has non-fetched rows.

#### closeAll

    public void closeAll()

Close all cursors.

#### currentResultSet

    public OdbcResultSet currentResultSet()

Returns:
  Current result set.

#### nextResultSet

    public void nextResultSet()

Move to next result set.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022